package com.ibeetl.admin.flow.entity;

import org.beetl.sql.core.annotatoin.Table;

/**
 * 前向产品表
 */
@Table(name = "tb_directed_product")
public class DirectedProductEntity {

    private String productnewid;

    private String productid;

    private String usertype;

    private String subscrbtype;

    private String productname;

    private String producttype;

    private String effecttype;

    private String directedtype;

    private String price;

    private String invalidtype;

    private String spproductid;

    private String spcode;

    private String rates;

    public String getProductnewid() {
        return productnewid;
    }

    public void setProductnewid(String productnewid) {
        this.productnewid = productnewid;
    }

    public String getProductid() {
        return productid;
    }

    public void setProductid(String productid) {
        this.productid = productid;
    }

    public String getUsertype() {
        return usertype;
    }

    public void setUsertype(String usertype) {
        this.usertype = usertype;
    }

    public String getSubscrbtype() {
        return subscrbtype;
    }

    public void setSubscrbtype(String subscrbtype) {
        this.subscrbtype = subscrbtype;
    }

    public String getProductname() {
        return productname;
    }

    public void setProductname(String productname) {
        this.productname = productname;
    }

    public String getProducttype() {
        return producttype;
    }

    public void setProducttype(String producttype) {
        this.producttype = producttype;
    }

    public String getEffecttype() {
        return effecttype;
    }

    public void setEffecttype(String effecttype) {
        this.effecttype = effecttype;
    }

    public String getDirectedtype() {
        return directedtype;
    }

    public void setDirectedtype(String directedtype) {
        this.directedtype = directedtype;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getInvalidtype() {
        return invalidtype;
    }

    public void setInvalidtype(String invalidtype) {
        this.invalidtype = invalidtype;
    }

    public String getSpproductid() {
        return spproductid;
    }

    public void setSpproductid(String spproductid) {
        this.spproductid = spproductid;
    }

    public String getSpcode() {
        return spcode;
    }

    public void setSpcode(String spcode) {
        this.spcode = spcode;
    }

    public String getRates() {
        return rates;
    }

    public void setRates(String rates) {
        this.rates = rates;
    }
}
